Node
Keywords: uk.ac.bbk.dcs.automed.qproc.Node,Node class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc
Class Node

    java.lang.Object
      |
      +--uk.ac.bbk.dcs.automed.qproc.Node

public class Node
extends java.lang.Object

Constructor Summary
`Node(int snum, java.lang.Object sdata)`
`Node(int snum, java.lang.Object lRef, java.lang.Object rRef)`
`Node(int snum, java.lang.Object lRef, java.lang.Object rRef, java.lang.Object sdata)`
`Node(java.lang.Object lRef, java.lang.Object rRef)`

Method Summary
`Node` | `copyOfGraph()`
`java.lang.Object` | `data()`
`boolean` | `isNum()`
`Node` | `l()`
`void` | `mimicThisNode(Node n)`
`double` | `num()`
`Node` | `r()`
`void` | `set_l(Node n)`
`void` | `set_r(Node n)`
`void` | `setData(java.lang.Object newData)`
`void` | `setTag(int t)`
`int` | `tag()`
`java.lang.String` | `text()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node

    public Node(int snum,
                java.lang.Object lRef,
                java.lang.Object rRef,
                java.lang.Object sdata)

### Node

    public Node(int snum,
                java.lang.Object lRef,
                java.lang.Object rRef)

### Node

    public Node(int snum,
                java.lang.Object sdata)

### Node

    public Node(java.lang.Object lRef,
                java.lang.Object rRef)

Method Detail

### text

    public java.lang.String text()

### data

    public java.lang.Object data()

### isNum

    public boolean isNum()

### num

    public double num()

### tag

    public int tag()

### l

    public Node l()

### r

    public Node r()

### set_l

    public void set_l(Node n)

### set_r

    public void set_r(Node n)

### setData

    public void setData(java.lang.Object newData)

### setTag

    public void setTag(int t)

### mimicThisNode

    public void mimicThisNode(Node n)

### copyOfGraph

    public Node copyOfGraph()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD